CVE-2023-42795

Public on 2023-10-10
Modified on 2024-01-12
Description
Incomplete Cleanup vulnerability in Apache Tomcat. When recycling various internal objects in Apache Tomcat from 11.0.0-M1 through 11.0.0-M11, from 10.1.0-M1 through 10.1.13, from 9.0.0-M1 through 9.0.80 and from 8.5.0 through 8.5.93, an error could cause Tomcat to skip some parts of the recycling process leading to information leaking from the current request/response to the next. Users are recommended to upgrade to version 11.0.0-M12 onwards, 10.1.14 onwards, 9.0.81 onwards or 8.5.94 onwards, which fixes the issue.
Severity
Important severity
Important
CVSS v3 Base Score
7.5
See breakdown

Affected Packages

Platform Package Release Date Advisory Status
Amazon Linux 2 - Tomcat8.5 Extra tomcat 2023-10-16 ALAS2TOMCAT8.5-2023-016 Fixed
Amazon Linux 2 - Tomcat9 Extra tomcat 2023-10-16 ALAS2TOMCAT9-2023-010 Fixed
Amazon Linux 1 tomcat8 2023-10-16 ALAS-2023-1868 Fixed
Amazon Linux 2023 tomcat9 2023-10-30 ALAS2023-2023-415 Fixed

CVSS Scores

Score Type Score Vector
Amazon Linux CVSSv3 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
NVD CVSSv3 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N